---
updatedAt: 2024-11-21T17:36:36.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# Posted Rate Four Week Trendline

<HTMLBlock>{`
<table>
  <tr>
    <th style="background:#10A54A;color:white">POST</th>
    <th style="background:#E7F6EC;color:black">
      rateinsights/v3/posted/trend/fourweek
    </th>
    <th style="background:#E7F6EC;color:black">
      Builds a posted rate estimate trendline.
    </th>
  </tr>
  <tr><td colspan=3><hr/></td></tr>
	<tr>
		<td>Authorization</td>
		<td colspan=2>bearer token</td>
	</tr>   
	<tr>
		<td>Content Type</td>
		<td colspan=2>application/json</td>
	</tr>
  <tr>
		<td>Accept</td>
		<td colspan=2>application/json</td>
	</tr>
	<tr>
		<td>URL Params</td>
		<td colspan=2>None</td>
	</tr>
	<tr>
		<td>Body Params</td>
		<td colspan=2>JSON Object</td>
	</tr>
</table>
`}</HTMLBlock>

<br />

> 📘 Posted Rate Four Week Trend
>
> > 👍 Note:
> >
> > \*\* Indicates an optional field
>
> ```curl Request
> curl --request POST \
>      --url https://example.com/modeledrate/v3/posted/trend/fourweek \
>      --header 'accept: application/json' \
>      --header 'authorization: Bearer c5dc1bd2fbad438ea95d5f8196c21f3d0edaf9f4147f4a7296d54210b83d93a5' \
>      --header 'content-type: application/json' \
>      --data '{
>     "LoadId": "1782299211",
>     "Origin":{
>         **"Address": "4 Jersey St",
>         "City": "Boston",
>         "StateCode": "MA",
>         "ZipCode": "02215",
>         **"Latitude": 42.358990,
>         **"Longitude": -71.058632
>     },
>     "Destination":{
>         **"Address": "1500 S Capitol St SE",
>         "City": "Washington",
>         "StateCode": "DC",
>         "ZipCode": "20003",
>         **"Latitude": 38.87,
>         **"Longitude": -77.01
>     },
>     "TransportationMode": "TL",
>     "Stops": 0,
>     **"Mileage": 437,
>     "PostedDateTime": "2021-12-13T20:59:51.644Z",
>     "EntryDateTime": "2021-12-13T20:59:51.644Z",
>     "PickUpDateTime": "2021-12-14T20:59:51.644Z",
>     **"DeliveryDateTime": "2021-12-18T20:59:51.644Z",
>     "EquipmentCode": "V",
>     **"EquipmentOptions": [ "X", "T" ],
>     **"Weight": 42000,
>     **"Length": 53,
>     **"PalletCount": 0,
>     **"PieceCount": 0,
>     **"Cube": 0,
>     **"CommodityId": 1,
>     **"SpecInfo": "38F. PRODUCE. 1 PICKL 1 DROP. LOADS SAT 9AM. EMPTY MONDAY 1AM",
>     **"OtherEquipmentNeeds": "none",
>     "FuelPricePerGallon": 2.34
> }'
> ```
> ```curl Response (Success)
> [
>   {
>     "result": "Success",
>     "loadId": "string",
>     "upperBound": 0,
>     "lowerBound": 0,
>     "trendlineCollections": [
>       {
>         "trendlineName": "string",
>         "trendlineSeries": [
>           {
>             "trendlineStartDate": "string",
>             "trendlineEndDate": "string",
>             "totalRate": 0,
>             "ratePerMile": 0
>           }
>         ]
>       }
>     ],
>     "message": "string"
>   }
> ]
> ```
> ```curl Response (Fail)
> {
>   "type": "string",
>   "title": "string",
>   "status": 0,
>   "detail": "string",
>   "instance": "string",
>   "extensions": {
>     "additionalProp1": "string",
>     "additionalProp2": "string",
>     "additionalProp3": "string"
>   },
>   "errors": {
>     "additionalProp1": [
>       "string"
>     ],
>     "additionalProp2": [
>       "string"
>     ],
>     "additionalProp3": [
>       "string"
>     ]
>   },
>   "data": "string",
>   "success": true,
>   "statusSet": [
>     {
>       "code": 0,
>       "descriptor": "string",
>       "message": "string",
>       "field": "string"
>     }
>   ],
>   "additionalProp1": "string",
>   "additionalProp2": "string",
>   "additionalProp3": "string"
> }
> ```